Package org.eclipse.rdf4j.query.algebra.evaluation.iterator

## Class ZeroLengthPathIteration

- java.lang.Object
- - org.eclipse.rdf4j.common.iteration.AbstractCloseableIteration<E,​X>
  - - org.eclipse.rdf4j.common.iteration.LookAheadIteration<BindingSet,​QueryEvaluationException>
    - - org.eclipse.rdf4j.query.algebra.evaluation.iterator.ZeroLengthPathIteration

- All Implemented Interfaces:
    `AutoCloseable`, `CloseableIteration<BindingSet,​QueryEvaluationException>`, `Iteration<BindingSet,​QueryEvaluationException>`

      public class ZeroLengthPathIteration
      extends LookAheadIteration<BindingSet,​QueryEvaluationException>

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static String` | `ANON_OBJECT_VAR` |
    `static String` | `ANON_PREDICATE_VAR` |
    `static String` | `ANON_SEQUENCE_VAR` |
    `static String` | `ANON_SUBJECT_VAR` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ZeroLengthPathIteration​(EvaluationStrategy evaluationStrategyImpl, Var subjectVar, Var objVar, Value subj, Value obj, Var contextVar, BindingSet bindings, QueryEvaluationContext context)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Var` | `createAnonVar​(String varName)` |
    `protected BindingSet` | `getNextElement()` | Gets the next element.

    - ### Methods inherited from class org.eclipse.rdf4j.common.iteration.LookAheadIteration

      `handleClose, hasNext, next, remove`

    - ### Methods inherited from class org.eclipse.rdf4j.common.iteration.AbstractCloseableIteration

      `close, isClosed`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.rdf4j.common.iteration.Iteration

      `stream`

- - ### Field Detail

    - #### ANON_SUBJECT_VAR

          public static final String ANON_SUBJECT_VAR

      See Also:
        Constant Field Values

    - #### ANON_PREDICATE_VAR

          public static final String ANON_PREDICATE_VAR

      See Also:
        Constant Field Values

    - #### ANON_OBJECT_VAR

          public static final String ANON_OBJECT_VAR

      See Also:
        Constant Field Values

    - #### ANON_SEQUENCE_VAR

          public static final String ANON_SEQUENCE_VAR

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ZeroLengthPathIteration

          public ZeroLengthPathIteration​(EvaluationStrategy evaluationStrategyImpl,
                                         Var subjectVar,
                                         Var objVar,
                                         Value subj,
                                         Value obj,
                                         Var contextVar,
                                         BindingSet bindings,
                                         QueryEvaluationContext context)

  - ### Method Detail

    - #### getNextElement

          protected BindingSet getNextElement()
                                       throws QueryEvaluationException

      Description copied from class: `LookAheadIteration`
      Gets the next element. Subclasses should implement this method so that it returns the next element.
      Specified by:
        `getNextElement` in class `LookAheadIteration<BindingSet,​QueryEvaluationException>`
      Returns:
        The next element, or null if no more elements are available.
      Throws:
        `QueryEvaluationException`

    - #### createAnonVar

          public Var createAnonVar​(String varName)